Skip to main content
GET
/
api
/
v2
/
affiliate
/
profile
Get affiliate profile
curl --request GET \
  --url 'https://{domain}/api/v2/affiliate/profile?api-key='
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "profile": {
      "id": 123,
      "email": "<string>",
      "firstname": "<string>",
      "lastname": "<string>",
      "image": "<string>",
      "contacts": "<string>",
      "status": 123,
      "api_status": 123,
      "api_key": "<string>",
      "number_format_id": 123,
      "date_format_id": 123,
      "phone": "<string>",
      "timezone": "<string>",
      "role": "<string>",
      "twoFA_enabled": 123,
      "company_name": "<string>",
      "payment_details": "<string>",
      "custom_fields": "<string>",
      "country": 123,
      "region": "<string>",
      "city": "<string>",
      "address": "<string>",
      "postal_code": "<string>",
      "managers_assigned": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Response

Affiliate profile.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object